{-
Usage:
  import qualified Positions as P
  ...
  p P.>= q
-}
module Positions where

import Term
import Data.List

(>=), (>), (<=), (<), (||) :: Position -> Position -> Bool
(<=) p q = isPrefixOf p q
(<) p q = p /= q && isPrefixOf p q
(>=) p q = q Positions.<= p
(>) p q = q Positions.< p

(||) = parallel

parallel :: Position -> Position -> Bool
parallel p q = not (p Positions.<= q) && not (p Positions.>= q)

showPosition :: Position -> String
showPosition p = concat (map show p)
